Preserving JRuby gems between upgrades

When installing one of JRuby's frequent upgrades, I need to re-install my gems, as they normally reside in the jruby install directory.

I know it doesn't have to be this way. Could someone post some instructions or point to a web page on how to avoid this?

Keep in mind, I'm not wanting to share gems with a C-Ruby install. Just share between JRuby installs.

Thanks,

-------------Problems Reply------------

  1. Add directory tree <your preferred location>/jrubygems/lib/ruby/gems/1.8
  2. Add directory tree <your preferred location>/lib/ruby
  3. Add directory tree <your preferred location>/lib/site_ruby/1.8

Add to your .bashrc:

export GEM_HOME=<your preferred location>/jrubygems/lib/ruby/gems/1.8

export RUBYLIB=<your preferred location>/lib/ruby:<your preferred location>/lib/site_ruby/1.8

Category:jruby Views:0 Time:2008-11-12
Tags: gem jruby

Related post

  • Is is possible to run Cucumber in Java out of the box without JRuby/gems? 2010-10-29

    I am new to Cucumber, JRuby, Gems and how it works. I like the idea of writing down the test case in plain English, but I am not keen on installing a lot of new tools (I really really like Java), just to get Cucumber up and running. So I have a few q

  • Jruby gem error win32-service for rsense 2011-07-12

    I am trying to install Rsense, I am following the directions from here Rsense Docs RSENSE_HOME is set but i cannot install the jruby win32-service to complete the steps to have the rsense service started at boot. This is the full error, I also ran as

  • Command not found after installing jRuby gem 2012-04-04

    I am getting an issue trying to execute a command after installing a custom jRuby gem. In the gem I created, the Gemfile looks like below: source "http://rubygems.org" gem 'archive-tar-minitar', '~> 0.5.2' gem 'fastercsv', '~> 1.5.4' gem 'rake'

  • How can I force gem to upgrade to gem 1.3.1 2009-02-19

    I am trying to install a gem like this: C:\InstantRails\rails_apps\foodmarksthespot>ruby script/plugin install git://github.com/lazyatom/engines.git Which returns this message: Rails requires RubyGems >= 1.3.1 (you have 1.2.0). Please `gem upda

  • Jruby Gem For Heroku 2010-01-24

    I am trying to deploy a Jruby app on Heroku. Unfortunately, when I try to install gem for Heroku using jruby, I get following error: /proj/jruby-1.3.1/lib/ruby/1.8/mkmf.rb:7: JRuby does not support native extensions. Check wiki.jruby.org for alternat

  • Jruby Gems-in-a-jar issue 2010-04-19

    I am trying to write some code in ruby (using jruby) to be compiled to java bytecode with jrubyc and deployed to a remote machine where it will be run on the JVM (no ruby available there). Everything works fine as long as I am happy to stick with the

  • Preserve registry settings when upgrade 2010-12-10

    I am using WiX 3.0. I am trying to preseve all my registry settings when doing upgrade. I found the following link http://www.mail-archive.com/[email protected]/msg28844.html I prefer to use Property and RegistrySearch approach rather t

  • rvm + jruby / gem install bundler - Errno::ECONNREFUSED: Connection refused 2011-04-02

    Trying to install some gems under jruby 1.6, but getting connection refused: $ gem install bundler ERROR: Could not find a valid gem 'bundler' (>= 0) in any repository ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) Errno::ECONNREF

  • Preserving some tables when upgrading app database? 2011-05-06

    In my sqlite3 database I have some tables with user added values that I would like to preserve when I upgrade my app. However, I would like to drop most of the other tables (around 10) and repopulate them with data from the new database that I'm goin

  • Unable to install Jekyll gem since upgrading to Xcode 4.1 2011-08-30

    I have previously successfully installed the Jekyll gem on a Mac with the gcc compiler that shipped with Xcode 3. Unfortunately I can't install it on a different Mac that now has Xcode 4.1. This Mac used to have Xcode 3, but I uninstalled it using th

  • How to update Cuke4Duke JRuby gems via Ant 2011-09-13

    I have a Java project that is using Cucumber for BDD. This morning the entire thing came to a crashing halt, I can no longer install gems, I get the dreaded "undefined class/module YAML::Syck::DefaultKey" error. I know that I need to update the versi

  • Unable to access jar dependencies from JRuby gem 2012-01-11

    I have created a gem on my local system for text mining which relies on external Java libraries for classification tasks. I'm trying to harness the power of Java through JRuby here. Directory structure is as follows: - classifier/ * classifier.gemspe

  • Can not load any gems after upgrade 2011-04-07

    I'm trying to move from ruby 1.8 to 1.9 something. I have tried installing the newer ruby in a number of ways - with rvm, with apt-get, etc. No matter which way I do it, once I've got /usr/bin/ruby pointing at that, no gems can be loaded ("no such fi

  • Preserving installed programs when upgrading to professional from home premium. 2014-04-12

    When you upgrade to windows 7 professional from windows 7 home premium, can you transfer installed programs before the upgrade to an external hard drive and then transfer them back? --------------Solutions------------- When you upgrade to windows 7 p

  • How do you update JRuby's gem command? 2011-07-20

    How do we update the version of gem that JRuby uses? JRuby uses gem (1.5.1) and we would like to upgrade it to 1.8.7. We want to have the gems installed in Ruby/gems We run: bin/jruby gem install rubygems-update Fetching: rubygems-update-1.8.5.gem (1

  • Why does the sqlite 1.2.3 gem install correctly for MRI but not for JRuby? 2009-04-25

    If I call: gem install sqlite3-ruby --v 1.2.3 it works for MRI but if I call: jruby -S gem install sqlite3-ruby --v 1.2.3 it says it's trying to build a native extension (for Windows) and fails. Why are JRuby and MRI different in the way they treat g

  • Can JRuby use original Ruby gems? 2009-07-23

    I am considering about what is the difference between JRuby on Rails and the original Ruby on Rails for my product? How does it difference in development activity, deployment, support between its original, or scalability? I have read many article. Th

  • Ruby gems gone after after JRuby install 2010-03-12

    Today I installed JRuby by downloading it, extracting it to /home/james/jruby-1.4.0, and adding the following lines to .bashrc: export JRUBY_HOME=/home/james/jruby-1.4.0 export PATH=$JRUBY_HOME/bin:$PATH And then I installed some JRuby gems via jruby

  • How do I setup a custom Gem.path using JRuby::Rack? 2010-04-12

    I've been having some fun looking at to source code of JRuby-Rack and Rubygems to try to figure out how to solve a org.jruby.rack.RackInitializationException: no such file to load -- compass in my rackup script cased by require 'compass'. I'm passing

Copyright (C) dskims.com, All Rights Reserved.

processed in 0.087 (s). 11 q(s)